name: Hello Kubernetes Tutorial
services:
  nodeapp-bpjmc:
    name: nodeapp
    type: Service
    apiVersion: v1
    namespace: default
    model: kubernetes
    labels:
      app: node
    settings:
      spec:
        ports:
        - port: 80
          protocol: TCP
          target Port: 3000
        selector:
          app: node
        type: LoadBalancer
    traits:
      meshmap:
        edges:
        - data:
            id: 229022c1-beed-45ca-bc02-c138af656303
            metadata:
              port: 80
              protocol: TCP
            source: 6e167eb9-d90b-4673-844d-535b496f6627
            subType: Network
            target: e96eabec-6a07-4b34-b3b6-4ba3f9467c6c
          style:
            control-point-distances: null
            control-point-weights: "0.5"
            curve-style: bezier
            haystack-radius: "0"
            line-color: rgb(153,153,153)
            line-style: dotted
            opacity: "1"
            segment-distances: 20px
            segment-weights: "0.5"
            target-arrow-shape: vee
            taxi-direction: auto
            taxi-turn: 50%
            taxi-turn-min-distance: 10px
            width: 1.5px
        id: 6e167eb9-d90b-4673-844d-535b496f6627
        meshmodel-metadata:
          capabilities: ""
          defaultData: ""
          genealogy: ""
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          secondaryColor: '#7aa1f0'
          shape: round-triangle
          shapePolygonPoints: ""
          status: enabled
          styleOverrides:
            background-position-y: 4.5
            height: 20
            padding: 12
            width: 20
            x: 10px
            "y": 12px
            z-index: 3
          styles: '{"height":20,"width":20,"padding":12,"background-position-y":4.5,"x":"10px","y":"12px"}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/service-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/service-white.svg
        position:
          posX: -23
          posY: -23
        whiteboardData:
          style: {}
  nodeapp-uffbh:
    name: nodeapp
    type: Deployment
    apiVersion: apps/v1
    namespace: default
    model: kubernetes
    labels:
      app: node
    settings:
      spec:
        replicas: 1
        selector:
          match Labels:
            app: node
        template:
          metadata:
            annotations:
              dapr.io/app-id: nodeapp
              dapr.io/app-port: "3000"
              dapr.io/enable-api-logging: "true"
              dapr.io/enabled: "true"
            labels:
              app: node
          spec:
            containers:
            - env:
              - name: APP_PORT
                value: "3000"
              image: ghcr.io/dapr/samples/hello-k8s-node:latest
              image Pull Policy: Always
              name: node
              ports:
              - container Port: 3000
    traits:
      meshmap:
        edges:
        - data:
            id: 229022c1-beed-45ca-bc02-c138af656303
            metadata:
              port: 80
              protocol: TCP
            source: 6e167eb9-d90b-4673-844d-535b496f6627
            subType: Network
            target: e96eabec-6a07-4b34-b3b6-4ba3f9467c6c
          style:
            control-point-distances: null
            control-point-weights: "0.5"
            curve-style: bezier
            haystack-radius: "0"
            line-color: rgb(153,153,153)
            line-style: dotted
            opacity: "1"
            segment-distances: 20px
            segment-weights: "0.5"
            target-arrow-shape: vee
            taxi-direction: auto
            taxi-turn: 50%
            taxi-turn-min-distance: 10px
            width: 1.5px
        id: e96eabec-6a07-4b34-b3b6-4ba3f9467c6c
        meshmodel-metadata:
          capabilities: |2-
             {
              "designer": {
                "edit": {
                  "shape": {
                    "convert-shape": false
                  }
                }
              }
            }
          defaultData: ""
          genealogy: parent
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: true
          logoURL: Created by Meshery Authors
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          secondaryColor: '#7aa1f0'
          shape: round-rectangle
          shapePolygonPoints: ""
          status: enabled
          styleOverrides:
            background-opacity: 0.5
            border-width: 2
            z-index: 5
          styles: '{"border-width":2,"background-opacity":0.5}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/deployment-color.svg
          svgComplete: ui/public/static/img/meshmodels/kubernetes/complete/deployment-complete.svg
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/deployment-white.svg
        position:
          posX: -6.000000000000006
          posY: 64.00000000000001
        whiteboardData:
          style: {}
  nodegroupinventorywallet-mjidu:
    name: NodeGroupInventoryWallet
    type: NodeGroupInventoryWallet
    apiVersion: core.meshery.io/v1alpha1
    version: 0.7.1
    model: meshery-core
    dependsOn:
    - nodeapp-uffbh
    traits:
      meshmap:
        edges: []
        id: 366ca502-23af-45b5-94f4-6518e572f604
        label: NodeGroupInventoryWallet
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: null
          description: ""
          displayName: Meshery Core
          hostID: 26e64aa8-2d86-57bd-92b3-2a73160d27b4
          id: 3e2db384-d3af-5fac-8af2-684fc3c29446
          metadata:
            isAnnotation: false
            subCategory: App Definition and Development
            svgColor: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
            svgComplete: ""
            svgWhite: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
          model:
            version: 0.7.1
          name: meshery-core
          registrant:
            hostname: artifacthub
          relationships: null
          schemaVersion: core.meshery.io/v1beta1
          status: enabled
          subCategory: App Definition and Development
          version: v1.0.0
        meshmodel-metadata:
          capabilities: |-
            {
              "designer": {
                "pass-events-to": "parent", "supportsCompoundDragAndDrop":false,
                "edit": {
                  "config": false,
                  "copy": false,
                  "delete": false,
                  "duplicate": false,
                  "reset-styles": false,
                  "resolve": false,
                  "lock": false,
                  "shape": {
                    "convert-shape": false
                  },
                  "style": false
                },
                "label": {
                  "edit": false,
                  "show": false,
                  "sync-with-config-property": "none"
                }
              }
            }
          defaultData: '{"label":""}'
          genealogy: parent
          hasInvalidSchema: true
          isAnnotation: true
          primaryColor: '#00B39F'
          secondaryColor: '#00D3A9'
          shape: round-rectangle
          shapePolygonPoints: ""
          status: enabled
          styleOverrides:
            background-image: none
            background-opacity: 0
            border-style: dashed
            border-width: 0
            data:
              label: ""
            height: 30px
            width: 30px
            z-index: 5
          styles: '{"height":"30px","width":"30px", "background-image":"none","border-width":0,"border-style":"dashed","background-opacity":0}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/meshery-core/color/anchornode-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/meshery-core/white/anchornode-white.svg
        parent: e96eabec-6a07-4b34-b3b6-4ba3f9467c6c
        position:
          posX: -6.000000000000005
          posY: 64.00000000000001
        whiteboardData: {}
  nodegroupinventorywallet-uaypa:
    name: NodeGroupInventoryWallet
    type: NodeGroupInventoryWallet
    apiVersion: core.meshery.io/v1alpha1
    version: 0.7.1
    model: meshery-core
    dependsOn:
    - pythonapp
    traits:
      meshmap:
        edges: []
        id: f2d52560-79a1-48d1-9910-9fe2f59fd053
        label: NodeGroupInventoryWallet
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: null
          description: ""
          displayName: Meshery Core
          hostID: 26e64aa8-2d86-57bd-92b3-2a73160d27b4
          id: 3e2db384-d3af-5fac-8af2-684fc3c29446
          metadata:
            isAnnotation: false
            subCategory: App Definition and Development
            svgColor: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
            svgComplete: ""
            svgWhite: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
          model:
            version: 0.7.1
          name: meshery-core
          registrant:
            hostname: artifacthub
          relationships: null
          schemaVersion: core.meshery.io/v1beta1
          status: enabled
          subCategory: App Definition and Development
          version: v1.0.0
        meshmodel-metadata:
          capabilities: |-
            {
              "designer": {
                "pass-events-to": "parent", "supportsCompoundDragAndDrop":false,
                "edit": {
                  "config": false,
                  "copy": false,
                  "delete": false,
                  "duplicate": false,
                  "reset-styles": false,
                  "resolve": false,
                  "lock": false,
                  "shape": {
                    "convert-shape": false
                  },
                  "style": false
                },
                "label": {
                  "edit": false,
                  "show": false,
                  "sync-with-config-property": "none"
                }
              }
            }
          defaultData: '{"label":""}'
          genealogy: parent
          hasInvalidSchema: true
          isAnnotation: true
          primaryColor: '#00B39F'
          secondaryColor: '#00D3A9'
          shape: round-rectangle
          shapePolygonPoints: ""
          status: enabled
          styleOverrides:
            background-image: none
            background-opacity: 0
            border-style: dashed
            border-width: 0
            data:
              label: ""
            height: 30px
            width: 30px
            z-index: 5
          styles: '{"height":"30px","width":"30px", "background-image":"none","border-width":0,"border-style":"dashed","background-opacity":0}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/meshery-core/color/anchornode-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/meshery-core/white/anchornode-white.svg
        parent: b1c027c0-9615-4eb0-b01d-6eb3d15a1dbb
        position:
          posX: 52.5
          posY: 7.999999999999993
        whiteboardData: {}
  pythonapp:
    name: pythonapp
    type: Deployment
    apiVersion: apps/v1
    namespace: default
    model: kubernetes
    labels:
      app: python
    settings:
      spec:
        replicas: 1
        selector:
          match Labels:
            app: python
        template:
          metadata:
            annotations:
              dapr.io/app-id: pythonapp
              dapr.io/enable-api-logging: "true"
              dapr.io/enabled: "true"
            labels:
              app: python
          spec:
            containers:
            - image: ghcr.io/dapr/samples/hello-k8s-python:latest
              name: python
    traits:
      meshmap:
        edges: []
        id: b1c027c0-9615-4eb0-b01d-6eb3d15a1dbb
        meshmodel-metadata:
          capabilities: |2-
             {
              "designer": {
                "edit": {
                  "shape": {
                    "convert-shape": false
                  }
                }
              }
            }
          defaultData: ""
          genealogy: parent
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: true
          logoURL: Created by Meshery Authors
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          secondaryColor: '#7aa1f0'
          shape: round-rectangle
          shapePolygonPoints: ""
          status: enabled
          styleOverrides: '{"border-width":2,"background-opacity":0.5}'
          styles: '{"border-width":2,"background-opacity":0.5}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/deployment-color.svg
          svgComplete: ui/public/static/img/meshmodels/kubernetes/complete/deployment-complete.svg
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/deployment-white.svg
        position:
          posX: 52.5
          posY: 7.999999999999993
        whiteboardData:
          style: {}
  statestore:
    name: statestore
    type: Component
    apiVersion: dapr.io/v1alpha1
    namespace: default
    model: dapr
    settings:
      auth:
        secret Store: kubernetes
      scopes: []
      spec:
        metadata:
        - name: redisHost
          value: redis-master:6379
        - name: redisPassword
          secret Key Ref:
            key: redis-password
            name: redis
        type: state.redis
        version: v1
    traits:
      meshmap:
        edges: []
        id: c092ad2b-a076-4416-a2e1-e862a9a15b00
        meshmodel-metadata:
          capabilities: ""
          defaultData: ""
          genealogy: ""
          isAnnotation: false
          isModelAnnotation: "FALSE"
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/examples/incubating.md#dapr-logos
          model: dapr
          modelDisplayName: Dapr
          primaryColor: '#0d2192'
          secondaryColor: '#5266D7'
          shape: circle
          shapePolygonPoints: ""
          status: enabled
          styleOverrides:
            z-index: 4
          styles: ""
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/dapr/color/component-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/dapr/white/component-white.svg
        position:
          posX: 17.000000000000014
          posY: -49.41742335300873
        whiteboardData:
          style: {}
